Subscribed unsubscribe Subscribe Subscribe

CPSAM.org

computer, programming, statistics and more!

インストールがうまくいかないRuby-gemについて

ruby

Rubyライブラリのnysol/ZDDをインストールする

 ZDD - NYSOL

をダウンロードし、同じディレクトリで

  $ gem install zdd-1.0.0-linux.gem

これで使用できるはずだが、ライブラリが/home/username/.gem/ruby/2.2.0/gems/zdd-1.0.0-linux/lib/nysol/zddに作成される。

ここにパスが通っていないとしてrequireできないため、絶対パスで記述する。

移動させて良いものなのか・・・。

Remove all ads